﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.Text;
using DotNetNuke.Entities.Modules;
using iFinity.PropertyAgent.ModuleFriendlyUrlProvider.Entities;

namespace iFinity.PropertyAgent.ModuleFriendlyUrlProvider.Data
{
    internal abstract class DataProvider
    {
        #region Shared/Static Methods

        // singleton reference to the instantiated object 
        static DataProvider objProvider = null;

        // constructor
        static DataProvider()
        {
            CreateProvider();
        }

        // dynamically create provider
        private static void CreateProvider()
        {
            //don't need run-time instancing when using built-in sqlDataProvider class
            objProvider = new Data.SqlDataProvider();
        }

        // return the provider
        public static DataProvider Instance()
        {
            return objProvider;
        }

        #endregion

        #region abstract methods
        /// <summary>
        /// Returns list of Urls related to your module
        /// </summary>
        /// <param name="tabId">The tabid the module is on.</param>
        /// <param name="entries">out parameter returns a zero-n list of PropertyAgent Urls</param>
        /// <remarks>Example only - this call can be anything you like.</remarks>
        internal abstract void GetPropertyAgentItemsForTab(int tabId, TabUrlOptions urlOptions, PropertyAgentOptions paOptions, out FriendlyUrlInfoCol urls);
        internal abstract FriendlyUrlInfo GetPropertyAgentItem(int itemId, string itemType, TabUrlOptions urlOptions, PropertyAgentOptions paOptions, int tabId);
        internal abstract List<PropertyAgentOptions> GetPropertyAgentSettings(int portalId);
        internal abstract Dictionary<string, string> GetPropertyAgentCustomFields(int tabId);
        #endregion
    }
}
